POST api/departmentapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "27d6cc25-6ff7-4584-81ef-ed6b7967a7d8",
"delay_between_scans": 1,
"id": "6f0112d0-31e3-4ab0-a1c6-38568e5030e1",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "0417c29a-51a9-4644-9a0a-ed31c98d709d",
"selected_sticker_id": "81d6c78f-e50f-4c7f-84bc-3e9f224134d1"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>27d6cc25-6ff7-4584-81ef-ed6b7967a7d8</contract_id> <delay_between_scans>1</delay_between_scans> <id>6f0112d0-31e3-4ab0-a1c6-38568e5030e1</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>0417c29a-51a9-4644-9a0a-ed31c98d709d</selected_nameplate_id> <selected_sticker_id>81d6c78f-e50f-4c7f-84bc-3e9f224134d1</selected_sticker_id> </department>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"3fdd9f8c-fb64-4b1b-99be-9aa06fd60935"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3fdd9f8c-fb64-4b1b-99be-9aa06fd60935</guid>